This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 677877 - Organized PXE menu in beaker
Organized PXE menu in beaker
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: cobbler (Show other bugs)
15
Unspecified Linux
unspecified Severity medium
: ---
: ---
Assigned To: Bill Peck
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-16 02:48 EST by Nilesh Patil
Modified: 2012-09-13 10:56 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-22 19:12:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
rhel 5 submenu (16.44 KB, image/png)
2011-02-16 02:49 EST, Nilesh Patil
no flags Details
main menu (13.47 KB, image/png)
2011-02-16 02:49 EST, Nilesh Patil
no flags Details
pxemenu default file (1.63 KB, application/octet-stream)
2011-02-16 02:50 EST, Nilesh Patil
no flags Details
rhel5 conf file (4.56 KB, application/octet-stream)
2011-02-16 02:51 EST, Nilesh Patil
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FedoraHosted Cobbler 400 None None None Never

  None (edit)
Description Nilesh Patil 2011-02-16 02:48:12 EST
What we see currently is in pxe menu of lab.rhts.eng.pnq.redhat.com, a list of all available trees especially so many nightly, rel-eng etc updates, releases with nfs, http and ftp options for each tree. So it becomes difficult for end user to choose correct option. 

Whereas most of the users would be using only small subset of available options. 

Can we have proper segregation of available list, it will be easy to locate a particular tree/release to install, like we have done in GSS Lab Pune.
 
Please find attached screenshot of pxemenu and configuration files.

snippet of configuration files are here, 

"/tftpboot/pxelinux.cfg/default" file contains,
----------------------------------------------
default menu.c32
prompt 0
ONTIMEOUT local

MENU TITLE GSSLAB PXE  

LABEL local
        MENU LABEL Boot locally
        LOCALBOOT 0

label RHEV
        menu label ^RHEV 
        kernel menu.c32
        append pxelinux.cfg/rhev.cfg

label RHEL 6
        menu label ^RHEL 6 
        kernel menu.c32
        append pxelinux.cfg/rhel6.cfg
 



And "pxelinux.cfg/rhel6.cfg" file contains, 
----------------------------------------------
MENU TITLE RHEL 6 

LABEL Main Menu
        MENU LABEL Main Menu
        KERNEL menu.c32
        APPEND pxelinux.cfg/default

label  RHEL6.1 x86_64 - nightly
kernel global-sync/rhel/nightly/latest-RHEL-6/6.1/Server/x86_64/os/vmlinuz
append initrd=global-sync/rhel/nightly/latest-RHEL-6/6.1/Server/x86_64/os/initrd.img lowres ramdisk_size=9216 raid=noautodetect lang= ks=nfs:10.65.208.3:/share/ks/rhel6u1-nightly-x86_64.cfg ksdevice=eth0

label  RHEL6.1 i386 - nightly
kernel global-sync/rhel/nightly/latest-RHEL-6/6.1/Server/i386/os/vmlinuz
append initrd=global-sync/rhel/nightly/latest-RHEL-6/6.1/Server/i386/os/initrd.img lowres ramdisk_size=9216 raid=noautodetect lang= ks=nfs:10.65.208.3:/share/ks/rhel6u1-nightly-i386.cfg ksdevice=eth0


Thanks
Nilesh
Comment 1 Nilesh Patil 2011-02-16 02:49:26 EST
Created attachment 479039 [details]
rhel 5 submenu
Comment 2 Nilesh Patil 2011-02-16 02:49:51 EST
Created attachment 479040 [details]
main menu
Comment 3 Nilesh Patil 2011-02-16 02:50:17 EST
Created attachment 479041 [details]
pxemenu default file
Comment 4 Nilesh Patil 2011-02-16 02:51:04 EST
Created attachment 479042 [details]
rhel5 conf file
Comment 5 Bill Peck 2011-02-16 10:11:35 EST
Some great ideas here.  But beaker doesn't generate the pxe menu, you really want to open these against cobbler.
Comment 6 Nilesh Patil 2011-04-01 00:58:43 EDT
Changed component and reopening ticket. 

It would be really nice to have it as associates always get confused on versions,releases and on top of that so many options. 

I could help you to build menu. 

- Nilesh
Comment 7 Bill Peck 2011-04-01 09:29:50 EDT
Can you please file this upstream with cobbler?

https://fedorahosted.org/cobbler/newticket
Comment 8 Dan Callaghan 2012-08-22 19:12:17 EDT
As of version 0.9 Beaker is generating its own PXE menu, and it is organised by distro family and version.

Note You need to log in before you can comment on or make changes to this bug.